{% extends 'base.html' %}
{% load static %}
<html>

{% block content %}
<head>

    <link rel="stylesheet" type="text/css" href='{% static "story7.css" %}'>
    <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300&display=swap" rel="stylesheet">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.5.0.js"></script>
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/js/all.min.js"></script>

    <title>Story 7</title>
</head>

<body>
<div class="container" id="container">
<h1 class="title">Story 7 in a hell week</h1>
  <div id="accordion">
    <div class="wrapper" data-sort="0">
      <div id="head">
        <h3>about me
          <button class="up"><img src="{% static 'up.svg' %}"></button> 
          <button class="down"><img src="{% static 'down.svg' %}"></button>
        </h3>
      </div>
      <div id="content">
        <p> Hello! My name is Evan adn I'm very active</p>
      </div>
    </div>
    <div class="wrapper" data-sort="1">
      <div id="head">
        <h3>activities
          <button class="up"><img src="{% static 'up.svg' %}"></button> 
          <button class="down"><img src="{% static 'down.svg' %}"></button>
        </h3>
      </div>
      <div id="content">
        <p>Besides attending lectures and doing homework, I also join several college activities</p>
      </div>
    </div>
    <div class="wrapper" data-sort="2">
      <div id="head">
        <h3>experiences
          <button class="up"><img src="{% static 'up.svg' %}"></button> 
          <button class="down"><img src="{% static 'down.svg' %}"></button>
        </h3>
      </div>
      <div id="content">
        <p>Some of the experiences I have are as follows:
            <br>1. Project Officer of Wisuda Genap Fasilkom UI 2020
            <br>2. Treasurer at Open House Fasilkom UI 2020
            <br>3. Fundraiser Vice Manager at PEMIRA Fasilkom UI 2020
            <br>[Fav] Mentor at PMB Fasilkom UI 2020
        </p>
      </div>
    </div>
    <div class="wrapper" data-sort="3">
      <div id="head">
        <h3>achievements
          <button class="up"><img src="{% static 'up.svg' %}"></button> 
          <button class="down"><img src="{% static 'down.svg' %}"></button>
        </h3>
      </div>
        <div id="content">
            <p>Some of the achievements I have are as follows:
                <br>1. Best Participant at SIWAK NG 2019
                <br>2. Selected participant to join BWB UI 2019
                <br>3. Selected participant on AYIMUN 2018</p>         
        </div>
    </div>
  </div>
</div>

<script>
$( function() {
  $( "#accordion" )
    .accordion({
      header: "> div > #head",
      collapsible: true,
      icons:false,
      heightStyle: "content",
      active: 0
    })
} 
);

$( document ).ready(function() {
  setButtons();
  $(document).on('click', '.down', function(e) {
  var cCard = $(this).closest('.wrapper');
  var tCard = cCard.next('.wrapper');
  cCard.insertAfter(tCard);
  setButtons();
  });
  
  $(document).on('click', '.up', function(e) {
  var cCard = $(this).closest('.wrapper');
  var tCard = cCard.prev('.wrapper');
  cCard.insertBefore(tCard);
  setButtons();
  });
  
  function setButtons(){
      $('button').show();
      $('.wrapper:first-child  button.up').hide();
      $('.wrapper:last-child  button.down').hide();
  }
  });
</script>
{% endblock content %}
</body>
</html>
